### Method

# Gtk IMContextSimple add_compose_file

#### Declaration [src]

    void
    gtk_im_context_simple_add_compose_file (
      GtkIMContextSimple* context_simple,
      const char* compose_file
    )

#### Description [src]

Adds an additional table from the X11 compose file.

#### Parameters

`compose_file` | `const char*`
| The path of compose file.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.